Page MenuHomeFreeBSD

www/chromium: Add a script for automating the hanging tabs workaround
AbandonedPublic

Authored by 0mp on Aug 1 2018, 4:37 PM.

Details

Reviewers
None
Group Reviewers
chromium
Commits
rP476599: www/chromium: Update to 68.0.3440.84
Summary

At the moment pkg-message says that in order to work around the hanging tabs problem the user may wish to run the following commands:

# [ -d ~{user}/.cache/chromium ] || mkdir ~{user}/.cache/chromium
# echo "md $(echo ~{user})/.cache/chromium mfs rw,late,-w{user}:{group},-s300m 2 0" >> /etc/fstab
# mount ~{user}/.cache/chromium

This patch adds a fix-hanging-tabs.sh script to the DATADIR, which simplifies the process to just running

/usr/local/share/chromium/fix-hanging-tabs.sh $user $group

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18490
Build 18195: arc lint + arc unit

Event Timeline

0mp created this revision.Aug 1 2018, 4:37 PM
0mp added a reviewer: chromium.Aug 1 2018, 4:40 PM
0mp updated this revision to Diff 46140.Aug 1 2018, 6:16 PM

Add a missing $FreeBSD$ line to the script.

cpm accepted this revision as: chromium.Aug 5 2018, 12:20 PM
0mp abandoned this revision.Aug 10 2018, 8:38 PM

Close as it has been committed.